Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AcePacketException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.rsa.ace.techservice.udpserver.AceException
                  com.rsa.ace.techservice.udpserver.AcePacketException

All Implemented Interfaces:
  java.io.Serializable

    public class AcePacketException

extends AceException

This is a generic exception thrown when there is a problem reading or writing a packet. It extends the core AceException class.

See Also:
  Serialized Form

Constructor Summary
`AcePacketException(byte msgType, byte protocolVersion)` Construct a packet exception with a message type and protocol version.
`AcePacketException(java.lang.String message)` Construct a packet exception with a message.
`AcePacketException(java.lang.String message, java.lang.Exception originalException)` Construct a packet exception with a message and nested exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AcePacketException

    public AcePacketException(java.lang.String message)

  Construct a packet exception with a message.

  Parameters:
    `message` - The message string for the exception.
  See Also:
    `AceException`

### AcePacketException

    public AcePacketException(java.lang.String message,
                              java.lang.Exception originalException)

  Construct a packet exception with a message and nested exception.

  Parameters:
    `message` - The message string for the exception.
    `originalException` - The nested exception.
  See Also:
    `AceException`

### AcePacketException

    public AcePacketException(byte msgType,
                              byte protocolVersion)

  Construct a packet exception with a message type and protocol version. Special constructor for unsupported protocol messages.

  Parameters:
    `msgType` - The message type.
    `protocolVersion` - The protocol version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.